Get Segmentations¶
GET /rest/asset/v1/segmentation.json
Method: GET
Path: /rest/asset/v1/segmentation.json
Tag: Segments
Operation ID: getSegmentationUsingGET
Retrieves a list of accessible segmentations for the target instance. Required Permissions: Read-Only Assets, Read-Write Assets
Formats¶
- Request:
application/json - Response:
application/json
Request¶
Query parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
status |
string | No | Status filter for draft or approved versions | enum: approved, draft |
Example request¶
Responses¶
200 — OK¶
Schema: model: ResponseOfSegmentationResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"createdAt": "2026-01-15T10:30:00Z",
"description": "string",
"folder": {
"id": 123,
"type": "Folder"
},
"id": 123,
"name": "Example name",
"status": "string",
"updatedAt": "2026-01-15T10:30:00Z",
"url": "https://example.com",
"workspace": "string"
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.